Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Newer
Older
100644 77 lines (62 sloc) 1.669 kB
21b19db @reset refactor engine testing scenario
reset authored
1 source "http://rubygems.org"
2
aed0b8f @reset Move gemspec method to top of file
reset authored
3 gemspec
4
594dd8c @parndt Now supporting FriendlyId 4
parndt authored
5 gem 'friendly_id', :git => 'git://github.com/norman/friendly_id.git'
6
b1e4fd0 @parndt Fixed namespacing for Refinery conventions.
parndt authored
7 git 'git://github.com/resolve/refinerycms.git' do
8 gem 'refinerycms'
9
10 group :development, :test do
11 gem 'refinerycms-testing'
12 end
13 end
21b19db @reset refactor engine testing scenario
reset authored
14
bd2bcc0 @ugisozols Add Refinery::Setting dependency.
ugisozols authored
15 gem 'refinerycms-settings', :git => 'git://github.com/parndt/refinerycms-settings.git'
16
1779274 @parndt Added sqlite3, pg, mysql2 to the Gemfile and added Jamie to the notif…
parndt authored
17 group :development, :test do
9363e8d @reset Update Gemfile to what would be generated by Refinerycms
reset authored
18 require 'rbconfig'
5e650f6 @ugisozols No need to use awesome_nested_set edge version anymore.
ugisozols authored
19
a85aaf6 @parndt Add jruby compatible DB gems.
parndt authored
20 platforms :jruby do
21 gem 'activerecord-jdbcsqlite3-adapter'
22 gem 'activerecord-jdbcmysql-adapter'
23 gem 'activerecord-jdbcpostgresql-adapter'
24 gem 'jruby-openssl'
25 end
26
27 unless defined?(JRUBY_VERSION)
28 gem 'sqlite3'
29 gem 'mysql2'
30 gem 'pg'
31 end
1779274 @parndt Added sqlite3, pg, mysql2 to the Gemfile and added Jamie to the notif…
parndt authored
32
9363e8d @reset Update Gemfile to what would be generated by Refinerycms
reset authored
33 platforms :mswin, :mingw do
34 gem 'win32console'
35 gem 'rb-fchange', '~> 0.0.5'
36 gem 'rb-notifu', '~> 0.0.4'
37 end
1779274 @parndt Added sqlite3, pg, mysql2 to the Gemfile and added Jamie to the notif…
parndt authored
38
9363e8d @reset Update Gemfile to what would be generated by Refinerycms
reset authored
39 platforms :ruby do
40 gem 'spork', '0.9.0.rc9'
41 gem 'guard-spork'
1779274 @parndt Added sqlite3, pg, mysql2 to the Gemfile and added Jamie to the notif…
parndt authored
42
34e5da1 @reset Disable libnotifications for travis
reset authored
43 unless ENV['TRAVIS']
80ca7c1 @parndt Config is deprecated, using RbConfig instread.
parndt authored
44 if RbConfig::CONFIG['target_os'] =~ /darwin/i
34e5da1 @reset Disable libnotifications for travis
reset authored
45 gem 'rb-fsevent', '>= 0.3.9'
46 gem 'growl', '~> 1.0.3'
47 end
80ca7c1 @parndt Config is deprecated, using RbConfig instread.
parndt authored
48 if RbConfig::CONFIG['target_os'] =~ /linux/i
34e5da1 @reset Disable libnotifications for travis
reset authored
49 gem 'rb-inotify', '>= 0.5.1'
50 gem 'libnotify', '~> 0.1.3'
e3e5bcf @phiggins Linux needs a js runtime.
phiggins authored
51 gem 'therubyracer', '~> 0.9.9'
34e5da1 @reset Disable libnotifications for travis
reset authored
52 end
9363e8d @reset Update Gemfile to what would be generated by Refinerycms
reset authored
53 end
54 end
55
56 platforms :jruby do
34e5da1 @reset Disable libnotifications for travis
reset authored
57 unless ENV['TRAVIS']
80ca7c1 @parndt Config is deprecated, using RbConfig instread.
parndt authored
58 if RbConfig::CONFIG['target_os'] =~ /darwin/i
34e5da1 @reset Disable libnotifications for travis
reset authored
59 gem 'growl', '~> 1.0.3'
60 end
80ca7c1 @parndt Config is deprecated, using RbConfig instread.
parndt authored
61 if RbConfig::CONFIG['target_os'] =~ /linux/i
34e5da1 @reset Disable libnotifications for travis
reset authored
62 gem 'rb-inotify', '>= 0.5.1'
63 gem 'libnotify', '~> 0.1.3'
64 end
9363e8d @reset Update Gemfile to what would be generated by Refinerycms
reset authored
65 end
66 end
eca7a1a @reset Remove spork as a development dependency
reset authored
67 end
68
6b1fcc8 @phiggins Loosen version requirements in Gemfile.
phiggins authored
69 # Refinery/rails should pull in the proper versions of these
cfba1b8 @reset Add Rails3.1 assets gemfile entry into Gemfile (required to start Rai…
reset authored
70 group :assets do
6b1fcc8 @phiggins Loosen version requirements in Gemfile.
phiggins authored
71 gem 'sass-rails'
72 gem 'coffee-rails'
cfba1b8 @reset Add Rails3.1 assets gemfile entry into Gemfile (required to start Rai…
reset authored
73 gem 'uglifier'
74 end
7ae6e14 @ugisozols Use arel 2.1.4 for now because 2.1.5 got yanked.
ugisozols authored
75
9df6580 @reset gemspec revision to support latest master branch of refinerycms
reset authored
76 gem 'jquery-rails'
Something went wrong with that request. Please try again.